Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.ranking
Class TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight

    java.lang.Object
      org.optaplanner.benchmark.impl.ranking.TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight

All Implemented Interfaces:
  Comparable<TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight>

Enclosing class:
  TotalRankSolverRankingWeightFactory

    public static class TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight

extends Object
implements Comparable<TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight>

Constructor Summary
`TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight(SolverBenchmarkResult solverBenchmarkResult, int betterCount, int equalCount)`

Method Summary
`int` | `compareTo(TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight other)`
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight

    public TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight(SolverBenchmarkResult solverBenchmarkResult,
                                                                            int betterCount,
                                                                            int equalCount)

Method Detail

### compareTo

    public int compareTo(TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight other)

  Specified by:
    `compareTo` in interface `Comparable<TotalRankSolverRankingWeightFactory.TotalRankSolverRankingWeight>`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.